Vla-put-textcolor

提供: GizmoLabs
移動先: 案内検索
構文
(vla-put-textcolor vla-object color)


機能
寸法オブジェクトおよび幾何公差オブジェクトの文字の色を指定します。


引数
  • vla-object … VLAオブジェクト(Dim3PointAngular、DimAligned、DimAngular、DimArcLength、DimDiametric、Dimension、DimOrdinate、DimRadial、DimRadialLarge、DimRotated、MLeaderStyle、Tolerance、PreferencesDisplay)
  • color … acColor 列挙型

0 から 256 のカラー インデックス番号か、以下の定数のうちの 1 つを使ってください。

  • acByBlock
  • acByLayer
  • acRed
  • acYellow
  • acGreen
  • acCyan
  • acBlue
  • acMagenta
  • acWhite


戻り値
nil


  • MEMO : 色を設定し、0 ~ 256 の範囲の数値のインデックス値として読み込むことができる。標準の 7 色だけでなく、ByBlock と ByLayer の名前にも、定数がある。
  • acByBlock を使用すると、AutoCAD は新しいオブジェクトを作成する際、ブロックにグループ化するまでは既定の色(環境設定により白または黒)を使用する。ブロックを図面に挿入すると、ブロック内のオブジェクトは現在の色のプロパティを継承する。
  • acByLayer を使用すると、新しいオブジェクトには画層の色が適用される。
  • このプロパティは、指定された寸法、引出線、または幾何公差オブジェクトでシステム変数 DIMCLRT[寸法値の色]の値を変更する。


サンプル
(vl-load-com)
(defun c:Example_TextColor()
    ;; 寸法を作成して寸法値色を変更するサンプル
    (setq acadObj (vlax-get-acad-object))
    (setq doc (vla-get-ActiveDocument acadObj))
    
    ;; 寸法の定義
    (setq point1 (vlax-3d-point 5 5 0)
          point2 (vlax-3d-point 7 5 0)
          location (vlax-3d-point 5 7 0))
    
    ;; 寸法を作成
    (setq modelSpace (vla-get-ModelSpace doc))
    (setq dimObj (vla-AddDimAligned modelSpace point1 point2 location))
    (vla-ZoomAll acadObj)

    ;; 規定値を読み込んで表示
    (alert (strcat "現在の寸法値の色は: " (itoa (vla-get-TextColor dimObj))))

    ;; 赤に変更
    (vla-put-TextColor dimObj acRed)
    (vla-Regen doc acAllViewports)
    
    ;; 戻す
    (alert (strcat "寸法値の色を次に戻します : " (itoa (vla-get-TextColor dimObj)) " (Red)"))
)

関連事項